/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you wish to add, delete or rename functions or slots use
** Qt Designer which will update this file, preserving your code. Create an
** init() function in place of a constructor, and a destroy() function in
** place of a destructor.
*****************************************************************************/


void high_score::setScore( int score )
{
	QFile file( "/var/lib/games/qascade.hscr" );
	if ( !file.open( IO_ReadOnly ) ) {
		QMessageBox::warning(this,"Qascade","Could not open High Scores File",QMessageBox::Ok,QMessageBox::NoButton,QMessageBox::NoButton);
		return;
	}
	QTextStream stream( &file );
	nameLabel1->setText(stream.readLine());
	scoreLabel1->setText(stream.readLine());
	nameLabel2->setText(stream.readLine());
	scoreLabel2->setText(stream.readLine());
	nameLabel3->setText(stream.readLine());
	scoreLabel3->setText(stream.readLine());
	nameLabel4->setText(stream.readLine());
	scoreLabel4->setText(stream.readLine());
	nameLabel5->setText(stream.readLine());
	scoreLabel5->setText(stream.readLine());
	nameLabel6->setText(stream.readLine());
	scoreLabel6->setText(stream.readLine());
	nameLabel7->setText(stream.readLine());
	scoreLabel7->setText(stream.readLine());
	file.close();
	if(score==-1) {
		thisScoreLabel->setText("");
		messageLabel->setText("");
		return;
	}
	thisScoreLabel->setText("You Scored: "+QString::number(score));
	if(score>scoreLabel7->text().toInt()){
		messageLabel->setText("Congratulations, you got a High Score");
		nameLabel7->setText(nameLabel1->text());
		scoreLabel7->setText(QString::number(score));
	}
	else { return; }
	if(scoreLabel7->text().toInt()>scoreLabel6->text().toInt()) {
		nameLabel7->setText(nameLabel6->text());
		scoreLabel7->setText(scoreLabel6->text());
		nameLabel6->setText(nameLabel1->text());
		scoreLabel6->setText(QString::number(score));
	}
	else {
		nameLabel7->setReadOnly(false);
		nameLabel7->setFocus();
		return;
	}
	if(scoreLabel6->text().toInt()>scoreLabel5->text().toInt()) {
		nameLabel6->setText(nameLabel5->text());
		scoreLabel6->setText(scoreLabel5->text());
		nameLabel5->setText(nameLabel1->text());
		scoreLabel5->setText(QString::number(score));
	}
	else {
		nameLabel6->setReadOnly(false);
		nameLabel6->setFocus();
		return;
	}
	if(scoreLabel5->text().toInt()>scoreLabel4->text().toInt()) {
		nameLabel5->setText(nameLabel4->text());
		scoreLabel5->setText(scoreLabel4->text());
		nameLabel4->setText(nameLabel1->text());
		scoreLabel4->setText(QString::number(score));
	}
	else {
		nameLabel5->setReadOnly(false);
		nameLabel5->setFocus();
		return;
	}
	if(scoreLabel4->text().toInt()>scoreLabel3->text().toInt()) {
		nameLabel4->setText(nameLabel3->text());
		scoreLabel4->setText(scoreLabel3->text());
		nameLabel3->setText(nameLabel1->text());
		scoreLabel3->setText(QString::number(score));
	}
	else {
		nameLabel4->setReadOnly(false);
		nameLabel4->setFocus();
		return;
	}
	if(scoreLabel3->text().toInt()>scoreLabel2->text().toInt()) {
		nameLabel3->setText(nameLabel2->text());
		scoreLabel3->setText(scoreLabel2->text());
		nameLabel2->setText(nameLabel1->text());
		scoreLabel2->setText(QString::number(score));
	}
	else {
		nameLabel3->setReadOnly(false);
		nameLabel3->setFocus();
		return;
	}
	if(scoreLabel2->text().toInt()>scoreLabel1->text().toInt()) {
		nameLabel2->setText(nameLabel1->text());
		scoreLabel2->setText(scoreLabel1->text());
		scoreLabel1->setText(QString::number(score));
		nameLabel1->setReadOnly(false);
		nameLabel1->setFocus();
	}
	else {
		nameLabel2->setReadOnly(false);
		nameLabel2->setFocus();
		return;
	}
}

void high_score::okButtonClicked()
{
	QFile file( "/var/lib/games/qascade.hscr" );
	if ( !file.open( IO_WriteOnly ) ) {
		QMessageBox::warning(this,"Qascade","Could not write High Scores File",QMessageBox::Ok,QMessageBox::NoButton,QMessageBox::NoButton);
		emit reject();
		return;
	}
	QTextStream stream( &file );
	stream << nameLabel1->text() << "\n";
	stream << scoreLabel1->text() << "\n";
	stream << nameLabel2->text() << "\n";
	stream << scoreLabel2->text() << "\n";
	stream << nameLabel3->text() << "\n";
	stream << scoreLabel3->text() << "\n";
	stream << nameLabel4->text() << "\n";
	stream << scoreLabel4->text() << "\n";
	stream << nameLabel5->text() << "\n";
	stream << scoreLabel5->text() << "\n";
	stream << nameLabel6->text() << "\n";
	stream << scoreLabel6->text() << "\n";
	stream << nameLabel7->text() << "\n";
	stream << scoreLabel7->text() << "\n";
	file.close();
	emit accept();
}
